<?php 
    require('components/utils.php');
    adminLogin();
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Settings | Midtown Hotel</title>
    <?php require('components/link.php')?>
</head>
<body>
    <?php require('components/sidebar.php')?>

    <div class="container-fluid" id="dashboard-body">
        <div class="row">
            <div class="col-lg-10 ms-auto p-4 overflow-hidden">
                <h4 class="mb-4">Settings</h4>
                <!--General setting-->
                <div class="card">
                    <div class="card-body">
                        <div class="d-flex mb-3 align-items-center justify-content-between">
                            <h5 class="card-title m-0">General Settings</h5>
                            <button type="button" class="btn-third" data-bs-toggle="modal" data-bs-target="#general-setting">Edit</button>
                        </div>
                        <h6 class="card-subtitle mb-1" style="font-weight: 600;">Site Title</h6>
                        <p class="card-text" id="site_title"></p>
                    </div>
                </div>
                <!--General setting modal-->
                <div class="modal fade" id="general-setting" data-bs-backdrop="static" data-bs-keyboard="true" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
                    <div class="modal-dialog">
                        <form>
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title">General Settings</h5>
                                </div>
                                <div class="modal-body">
                                    <div class="mb-3">
                                        <label class="form-label" style="font-weight: 600;">Site Title</label>
                                        <input type="text" name="site_title" id="site_title_input" class="form-control shadow-none"/>
                                    </div>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" onclick="site_title.value = general_data.site_title" class="btn-cancle" data-bs-dismiss="modal">Cancle</button>
                                    <button type="button" onclick="upd_general(site_title.value)" class="btn-third">Submit</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div> 
        </div>
    </div>




    <?php require('components/script.php') ?>
    <script>
        let general_data;

        function get_general(){
            let site_title = document.getElementById('site_title');

            let site_title_input = document.getElementById('site_title_input');

            let xhr = new XMLHttpRequest();
            xhr.open("POST", "ajax/settings_crud.php", true);
            xhr.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');

            xhr.onload = function(){
                general_data = JSON.parse(this.responseText);
                site_title.innerText = general_data.site_title;
                site_title_input.value = general_data.site_title;
            }

            xhr.send('get_general');
        }

        function upd_general(site_title_val){
            let xhr = new XMLHttpRequest();
            xhr.open("POST", "ajax/settings_crud.php", true);
            xhr.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');

            xhr.onload = function(){
                var myModal = document.getElementById('general-setting');
                var modal = bootstrap.Modal.getInstance(myModal);
                modal.hide()

                if(this.responseText == 1){
                    alert('success', 'Your data is updated');
                    get_general();
                } else{
                    alert('error', 'Fail to update your data');
                }
            }

            xhr.send('site_title='+site_title_val+'&upd_general');
        }

        window.onload = function(){
            get_general();
        }
    </script>
</body>
</html>