<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Contact | Midtown Hotel</title>
    <?php require('./components/link.php') ?>
    <style>
        .contact-hero{
            position: relative;
            height: 100vh;
            background-size: cover;
            background-position: center;
            background-image: url(images/contact.jpg);
            width: 100%;
            display: flex;
            flex-direction: column;
        }
        .contact-container{
            width: 80%;
            display: flex;
            justify-content: space-between;
            position: relative;
            align-items: center;
            margin: 150px auto;
        }
        .contact-wrapper{
            height:100%;
            width: 100%;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
        }
        .video-contact{
            width: 100%;
            height: auto;
        }
        .container-accordion{
            display: flex;
            flex-direction: column;
            min-width: 950px;
            margin-bottom: 50px;
            padding: 20px;
        }
        .accordion{
            background-color: white;
            padding: 12px;
            cursor: pointer;
            border-top: 1px solid #B0A695;
            border-left: 1px solid #B0A695;
            border-right: 1px solid #B0A695;
        }
        .accordin_{
            border-bottom: 1px solid #B0A695;
        }
        .accordion-header{
            border: none;
            width: 100%;
            display: flex;
            justify-content: space-between;
            align-items: center;
            background-color: transparent;
            font-size: 28px;
            cursor: pointer;
            padding: 5px;
            color: #271E24;
        }
        .accordion-header span{
            max-width: 100%;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
        }
        .accordion-body{
            color: #444;
            font-size: 14px;
            opacity: 0;
            height: 0;
            overflow: hidden;
            transition: opacity .3s 
        }
        .accordion-body.active{
            height: 100%;
            opacity: 1;
            padding: 5px;
        }
        .accordion-wrapper{
            width: 100%;
            background-color: #F6F4F3;
            border: 1px solid #ECE4DC;
            display: flex;
            flex-direction: column;
        }
        .accordion-text{
            display: flex;
            width: 90%;
            justify-content: space-between;
            margin: auto;
            margin-top: 20px;
            font-size: 20px;
            font-weight: 500;
        }
        .accordion-area{
            width: 90%;
            padding: 10px 10px 0px 10px;
            display: flex;
            justify-content: space-between;
            margin: auto;
            border-top: 1px solid #ECE4DC;
            border-left: 1px solid #ECE4DC;
            border-right: 1px solid #ECE4DC;
            background-color: white;
        }
        .accordion-area_{
            border-bottom: 1px solid #ECE4DC;
            margin-bottom: 20px;
        }
        .arrow{
            transition: transform .2s linear;
        }
        .accordion:has(.active) .arrow{
            transform: rotate(180deg);
        }
        
        @media (max-width:980px) {
            .contact-container{
                flex-direction: column;
                gap: 50px;
                margin: 75px auto;
                width: 95%;
            }
            .accordion-header{
                font-size: 24px;
            }
            .container-accordion{
                min-width: 100%;
            }
        }
        @media (max-width:760px) {
            .accordion-text{
                font-size: 15px;
                font-weight: 600;
            }
            .accordion-area{
                flex-direction: column;
                align-items: center;
            }
        }
        @media (max-width:450px) {
            .contact-hero{
                height: 80vh;
            }
            .contact-container{
                margin: 50px auto;
            }
            .accordion-header{
                font-size: 20px;
            }
        }
    </style>
</head>
<body>
    <!--Hero & Navbar section-->
    <div class="contact-hero">
        <?php require('./components/header.php') ?>
        <div class="hero-content">
            <div class="hero-head">
                <h1 class="hero-title">Contact</h1>
                <p class="hero-subtitle">We look forward to assisting you with arranging your </br> next stay at Midtown hotel</p>
            </div>
        </div>
    </div>
    <div class="panel" data-color="white">
        <div class="contact-container">
            <div class="contact-wrapper">
                <p style="margin-bottom: 50px; color: #BFB4A4; font-weight: 500; letter-spacing: 1px;">Address</p>
                <p style="text-align: center; font-size: 28px;">Midtown Hotel</p>
                <p style="text-align: center;">36381 Trantow Hill, New Port, FL 57941</p>
                <div class="col-lg-12 text-center mt-5 mb-2">
                    <a href="https://www.google.com/maps/place/Florida/@28.1703405,-82.5355157,7.46z/data=!4m6!3m5!1s0x88c1766591562abf:0xf72e13d35bc74ed0!8m2!3d27.6648274!4d-81.5157535!16zL20vMDJ4cnk?entry=ttu" class="btn-th">Open map</a>
                </div>
            </div>
            <div class="contact-wrapper">
                <video class="video-contact" autoplay muted loop>
                    <source src="./images/video.mp4" type="video/mp4" >
                </video> 
            </div>
        </div>
        <div class="container-accordion">
            <div class="accordion">
                <button class="accordion-header">
                    <div style="display: flex; flex-direction: column; align-items: start;">
                        <span>Booking and information</span>
                        <p style="font-size: 14px;">(Contacts for booking rooms and info)</p>
                    </div>
                    <i class='bx bx-chevron-down arrow'></i>
                </button>
                <div class="accordion-body">
                    <div class="accordion-wrapper">
                        <div class="accordion-text">
                            <p>Monday-Saturday</p>
                            <p>8:00am - 5:00pm</p>
                        </div>
                        <div class="accordion-area">
                            <p style="font-weight: 500; font-size: 18px">Phone</p>
                            <p>(123) 456-7891</p>
                        </div>
                        <div class="accordion-area accordion-area_">
                            <p style="font-weight: 500; font-size: 18px">Email</p>
                            <p>accombooking@midtownhotel.com</p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="accordion">
                <button class="accordion-header">
                    <div style="display: flex; flex-direction: column; align-items: start;">
                        <span>Reservations and events</span>
                        <p style="font-size: 14px;">(Contacts for events and group bookings)</p>
                    </div>
                    <i class='bx bx-chevron-down arrow'></i>
                </button>
                <div class="accordion-body">
                    <div class="accordion-wrapper">
                        <div class="accordion-text">
                            <p>Monday-Friday</p>
                            <p>9:00am - 5:00pm</p>
                        </div>
                        <div class="accordion-area">
                            <p style="font-weight: 500; font-size: 18px">Phone</p>
                            <p>(123) 456-7892</p>
                        </div>
                        <div class="accordion-area accordion-area_">
                            <p style="font-weight: 500; font-size: 18px">Email</p>
                            <p>reservationsg@midtownhotel.com</p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="accordion">
                <button class="accordion-header">
                    <div style="display: flex; flex-direction: column; align-items: start;">
                        <span>Reception</span>
                        <p style="font-size: 14px;">(Contacts for guests)</p>
                    </div>
                    <i class='bx bx-chevron-down arrow'></i>
                </button>
                <div class="accordion-body">
                    <div class="accordion-wrapper">
                        <div class="accordion-text">
                            <p>Monday-Saturday</p>
                            <p>8:00am - 5:00pm</p>
                        </div>
                        <div class="accordion-area">
                            <p style="font-weight: 500; font-size: 18px">Phone</p>
                            <p>(123) 456-7890</p>
                        </div>
                        <div class="accordion-area accordion-area_">
                            <p style="font-weight: 500; font-size: 18px">Email</p>
                            <p>reception@midtownhotel.com</p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="accordion accordin_">
                <button class="accordion-header">
                    <div style="display: flex; flex-direction: column; align-items: start;">
                        <span>Management</span>
                        <p style="font-size: 14px;">(Hotel management and HR)</p>
                    </div>
                    <i class='bx bx-chevron-down arrow'></i>
                </button>
                <div class="accordion-body">
                    <div class="accordion-wrapper">
                        <div class="accordion-text">
                            <p>Monday-Saturday</p>
                            <p>9:00am - 5:00pm</p>
                        </div>
                        <div class="accordion-area">
                            <p style="font-weight: 500; font-size: 18px">Jane Doe <span style="font-size: 12px">(Office manager)</span></p>
                            <p>(123) 456-7899 || jdoe@midtownhotel.com</p>
                        </div>
                        <div class="accordion-area accordion-area_">
                            <p style="font-weight: 500; font-size: 18px">Fakey McFaker <span style="font-size: 12px">(General manager)</span></p>
                            <p>(123) 456-7898 || fmcfaker@midtownhotel.com</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

     <!--footer-->
     <?php require('./components/footer.php'); ?>

    <?php require('./components/script.php') ?>
    <script>
        const accordions = document.querySelectorAll('.accordion')
        accordions.forEach((accordion) => {
        accordion.addEventListener('click', () => {
            const body = accordion.querySelector('.accordion-body')
            body.classList.toggle('active')
        })
        })
    </script>
</body>
</html>